
QGIS Application - Bug report #6904

Move several C++ plugins into core

2012-12-20 06:43 AM - Nathan Woodrow

Status: Closed

Priority: Low

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16029

Description

There really isn't any reason that we can't have the heatmap plugin code as part of core QGIS rather then just a core plugin.  If it is moved

to core QGIS we can give it a API so that people other people can use it.

History

#1 - 2012-12-20 06:58 AM - Paolo Cavallini

- Subject changed from Move heatmap plugin into core to Move several C++ plugins into core

This applies also to many (most?) other C++ plugins.

#2 - 2012-12-20 07:03 AM - Giovanni Manghi

Paolo Cavallini wrote:

This applies also to many (most?) other C++ plugins.

this was a suggestion I made a while ago on the dev mailing list (users do ask me, why is a plugin if it comes with qgis?) and it was rejected.

#3 - 2012-12-20 12:52 PM - Nathan Woodrow

Giovanni Manghi wrote:

Paolo Cavallini wrote:

This applies also to many (most?) other C++ plugins.

this was a suggestion I made a while ago on the dev mailing list (users do ask me, why is a plugin if it comes with qgis?) and it was rejected.

Why was it rejected?

#4 - 2012-12-21 08:06 AM - Giovanni Manghi

Why was it rejected?
don't remember exactly the reasons... it was Martin who gave the reason.

#5 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2016-06-20 04:07 PM - Jürgen Fischer

- Assignee deleted (Arunmozhi P)

#7 - 2017-01-02 01:42 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

    -  road graph

    -  interpolation

    -  terrain analysis

    -  zonalstatistics

    -  heatmap

are now in the QGIS analysis library.
